GCLOUD_COMPUTE_INSTANCES_GET-SERIAL-PORT-OUTPUT(1)

NAME

gcloud compute instances get-serial-port-output - read output from a virtual machine instance's serial port

SYNOPSIS

gcloud compute instances get-serial-port-output NAME [--port PORT] [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instances get-serial-port-output is used to get the output from a Google Compute Engine virtual machine's serial port. The serial port output from the virtual machine will be printed to standard output. This information can be useful for diagnostic purposes.

POSITIONAL ARGUMENTS
NAME
    The name of the instance.

FLAGS
--port PORT
    Instances can support up to four serial port outputs, numbered 1 through 4. By default, this command will return the output of the first serial port. Setting this flag will return the output of the requested serial port.
--zone ZONE
    The zone of the instance to get serial port output for. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.